summaryrefslogtreecommitdiff
path: root/tests/rm/isatty
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-04-20 14:49:46 +0000
committerJim Meyering <jim@meyering.net>2002-04-20 14:49:46 +0000
commitc175e3f6c86206b676658c181556fc9b15f25f88 (patch)
tree45cb44e1b2b772d4253ca1c0d879281249625757 /tests/rm/isatty
parent73f2d110077745a8f4c297c26e3c8310f2251780 (diff)
downloadcoreutils-c175e3f6c86206b676658c181556fc9b15f25f88.tar.xz
update framework
Diffstat (limited to 'tests/rm/isatty')
-rwxr-xr-xtests/rm/isatty6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/rm/isatty b/tests/rm/isatty
index 2026433b1..98df1f87c 100755
--- a/tests/rm/isatty
+++ b/tests/rm/isatty
@@ -9,12 +9,12 @@ fi
. $srcdir/../lang-default
pwd=`pwd`
-tmp=isatty.$$
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
-mkdir $tmp || framework_failure=1
+mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
if test $framework_failure = 1; then